import * as React from 'react';
import { ViewProps, ViewStyle, StyleProp } from 'react-native';
import { SpaceType } from '../types/Space';
import { DirType, AlignType, JustifyType, SelfType, FlexWrapType } from '../types/Flex';
import { RadiusType } from '../types/Radius';
import { OpacityType } from '../types/OpacityType';
import { PositionType } from '../types/Position';
export interface UtilityBoxProps extends ViewProps {
    style?: StyleProp<ViewStyle>;
    bg?: string;
    backgroundColor?: string;
    center?: boolean;
    o?: OpacityType | number | string;
    opacity?: OpacityType | number | string;
    h?: number | string;
    height?: number | string;
    w?: number | string;
    width?: number | string;
    f?: number;
    flex?: number;
    border?: number;
    shadow?: number;
    boxShadow?: number;
    radius?: RadiusType;
    borderRadius?: RadiusType;
    circle?: number;
    avatar?: boolean;
    dir?: DirType;
    flexDirection?: DirType;
    align?: AlignType;
    alignItems?: AlignType;
    justify?: JustifyType;
    justifyContent?: JustifyType;
    self?: SelfType;
    alignSelf?: SelfType;
    flexWrap?: FlexWrapType;
    m?: SpaceType;
    margin?: SpaceType;
    mb?: SpaceType;
    marginBottom?: SpaceType;
    mt?: SpaceType;
    marginTop?: SpaceType;
    mr?: SpaceType;
    marginRight?: SpaceType;
    ml?: SpaceType;
    marginLeft?: SpaceType;
    mx?: SpaceType;
    marginHorizontal?: SpaceType;
    my?: SpaceType;
    marginVertical?: SpaceType;
    p?: SpaceType;
    padding?: SpaceType;
    pb?: SpaceType;
    paddingBottom?: SpaceType;
    pt?: SpaceType;
    paddingTop?: SpaceType;
    pr?: SpaceType;
    paddingRight?: SpaceType;
    pl?: SpaceType;
    paddingLeft?: SpaceType;
    px?: SpaceType;
    paddingHorizontal?: SpaceType;
    py?: SpaceType;
    paddingVertical?: SpaceType;
    position?: PositionType;
    top?: number;
    bottom?: number;
    left?: number;
    right?: number;
    rows?: number[];
}
declare const Box: {
    ({ m, margin, mb, marginBottom, mt, marginTop, mr, marginRight, ml, marginLeft, my, marginVertical, mx, marginHorizontal, p, padding, pb, paddingBottom, py, paddingVertical, pt, paddingTop, pr, paddingRight, pl, paddingLeft, px, paddingHorizontal, radius, borderRadius, avatar, circle, center, border, shadow, boxShadow, f, flex, h, height, w, width, align, alignItems, justify, justifyContent, self, alignSelf, dir, flexDirection, flexWrap, o, opacity, bg, backgroundColor, rows, children, position, top, bottom, left, right, style: customStyle, ...rest }: React.PropsWithChildren<UtilityBoxProps>): JSX.Element;
    defaultProps: {
        style: {};
    };
    displayName: string;
};
export default Box;
