import * as React from 'react';
import { TextProps, TextStyle, StyleProp } from 'react-native';
import { ITheme } from '../types/ITheme';
import { SpaceType } from '../types/Space';
import { FontSizeType } from '../types/FontSize';
import { LetterSpacingType } from '../types/LetterSpacing';
import { LineHeightType } from '../types/LineHeight';
import { TextDecoType } from '../types/TextDeco';
import { OpacityType } from '../types/OpacityType';
export interface IInjectedProps {
    theme: ITheme;
}
export interface UtilityTextProps extends TextProps {
    style?: StyleProp<TextStyle>;
    border?: number;
    italic?: boolean;
    lineH?: LineHeightType | string | number;
    lineHeight?: LineHeightType | string | number;
    deco?: TextDecoType;
    textDecoration?: TextDecoType;
    o?: OpacityType | number | string;
    opacity?: OpacityType | number | string;
    center?: boolean;
    left?: boolean;
    right?: boolean;
    color?: string;
    font?: string;
    fontFamily?: string;
    m?: SpaceType;
    margin?: SpaceType;
    mb?: SpaceType;
    marginBottom?: SpaceType;
    mt?: SpaceType;
    marginTop?: SpaceType;
    mr?: SpaceType;
    marginRight?: SpaceType;
    ml?: SpaceType;
    marginLeft?: SpaceType;
    mx?: SpaceType;
    marginHorizontal?: SpaceType;
    my?: SpaceType;
    marginVertical?: SpaceType;
    p?: SpaceType;
    padding?: SpaceType;
    pb?: SpaceType;
    paddingBottom?: SpaceType;
    pt?: SpaceType;
    paddingTop?: SpaceType;
    pr?: SpaceType;
    paddingRight?: SpaceType;
    pl?: SpaceType;
    paddingLeft?: SpaceType;
    px?: SpaceType;
    paddingHorizontal?: SpaceType;
    py?: SpaceType;
    paddingVertical?: SpaceType;
    ls?: LetterSpacingType | number | string;
    letterSpacing?: LetterSpacingType | number | string;
    size?: FontSizeType | string | number;
    fontSize?: FontSizeType | string | number;
    uppercase?: boolean;
    lowercase?: boolean;
    capitalize?: boolean;
    capitalizeEach?: boolean;
    thousand?: boolean;
    bold?: boolean;
    light?: boolean;
    normal?: boolean;
    weight?: string;
    fontWeight?: string;
}
declare const Text: {
    ({ border, color, m, margin, mb, marginBottom, mt, marginTop, mr, marginRight, ml, marginLeft, my, marginVertical, mx, marginHorizontal, p, padding, pb, paddingBottom, pt, paddingTop, pr, paddingRight, pl, paddingLeft, px, paddingHorizontal, py, paddingVertical, ls, letterSpacing, lowercase, uppercase, capitalize, capitalizeEach, thousand, font, fontFamily, center, right, left, lineH, lineHeight, size, fontSize, bold, normal, light, weight, fontWeight, o, opacity, italic, deco, textDecoration, style: customStyle, children, ...rest }: React.PropsWithChildren<UtilityTextProps>): JSX.Element;
    defaultProps: {
        style: {};
    };
    displayName: string;
};
export default Text;
